Create a contacts group
POST
/v1/contactsgroup/
const url = 'https://example.com/v1/contactsgroup/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","targets":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/contactsgroup/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Create a new contacts group.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
string
rules
required
Array<string>
targets
required
Array<string>
oncall_count
required
integer
Examplegenerated
{ "name": "example", "targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
string
rules
required
Array<string>
targets
required
Array<string>
oncall_count
required
integer
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
string
rules
required
Array<string>
targets
required
Array<string>
oncall_count
required
integer
Examplegenerated
{ "name": "example", "targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}